// Incluímos la librería para poder controlar el servo
#include <Servo.h>

// PIN 9 Cable naranja
// PIN GND Cable marron
// PIN 5v Cable rojo

// Declaramos la variable para controlar el servo
Servo servoMotor1;
Servo servoMotor2;

int pos=0;
// int pos2=0;

void setup() {
  // Iniciamos el monitor serie para mostrar el resultado
  Serial.begin(9600);

  // Iniciamos el servo para que empiece a trabajar con el pin 9
  servoMotor1.attach(9);
  servoMotor2.attach(8);
}

void loop() {
  
  // Desplazamos a la posición 0º
 for (pos = 0; pos <= 120; pos += 2) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    servoMotor1.write(pos);              // tell servo to go to position in variable 'pos'
    servoMotor2.write(pos);
    delay(30);                       // waits 15ms for the servo to reach the position
  }
  for (pos = 120; pos >= 0; pos -= 2) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    servoMotor1.write(pos);              // tell servo to go to position in variable 'pos'
    servoMotor2.write(pos);
    delay(30);                       // waits 15ms for the servo to reach the position
  }

 /* for (pos2 = 0; pos2 <= 120; pos2 += 2) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    servoMotor2.write(pos2);              // tell servo to go to position in variable 'pos'
    delay(30);                       // waits 15ms for the servo to reach the position
  }
  for (pos2 = 120; pos2 >= 0; pos2 -= 2) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    servoMotor2.write(pos2);              // tell servo to go to position in variable 'pos'
    delay(30);                       // waits 15ms for the servo to reach the position
  }

*/

}
